*************************************************************
* Program.... SAMPLE1.PRG
* Version.... 1.00
* Author..... Jon Cole (American Management Systems)
* Created.... November 1, 1991
* Revisions.. (none)
* Source..... Clipper 5.01, ProVision:Windows v1.20
* Libraries.. CLIPPER.LIB, PWFUNCS.LIB, PWKERNEL.LIB
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Compile.....CLIPPER SAMPLE1 /n /m /w
* Link........RTLINK FI SAMPLE1 LIB PWFUNCS,PWKERNEL
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* This program is placed into the public domain by the
* author.
*************************************************************
// --->> INITIALIZATION STAGE
#include "inkey.ch"
#include "pw.ch"
FUNCTION Sample1()
   LOCAL GetList:={}
   LOCAL cName, cAdr, cCity, cState, cZip, cPhone, lType, ;
      nRating
   LOCAL oOk, oHelp, oQuit, oWnd1
   // Disable <<Alt>><<C>> and <<Ctrl>><<Break>>
   SET( _SET_CANCEL, .f. )
   // Initialize ProVision:Windows
   INIT WINDOWS ;
      GRAPHIC MOUSE ;
      GRAPHIC BORDERS ;
      GRAPHIC CONTROLS
   // Establish which keys move between fields.
   SET KEY FOR NEXTFIELD TO K_TAB, K_ENTER, K_DOWN
   SET KEY FOR PREVIOUSFIELD TO K_SH_TAB, K_UP
   CREATE WINDOW oWnd1 ;
      AT 05, 10 ;
      SIZE 17, 40 ;
      STYLE PWSTYLE_PRIMARY - PWSTYLEINFO_MENU ;
      TITLE "Main Window" ;
      ICON TITLE "Main" ;
      VIRTUAL SIZE 24, 80 ;
      SHADOW
   OPEN WINDOW oWnd1
   // --->> DATA ENTRY STAGE
   // Create a series of GETs.
   @  1, 2 GET cName AS TEXTFIELD ;
      INITIAL SPACE(25) PROMPT "~Name   : "
   @  2, 2 GET cAdr AS TEXTFIELD ;
      INITIAL SPACE(25) PROMPT "~Address: "
   @  3, 2 GET cCity AS TEXTFIELD ;
      INITIAL SPACE(15) PROMPT "~City   : "
   @  4, 2 GET cState AS TEXTFIELD ;
      INITIAL SPACE(2) PROMPT "~State  : " PICTURE "!!"
   @  5, 2 GET cZip AS TEXTFIELD ;
      INITIAL SPACE(9) PROMPT "~Zip    : " ;
      PICTURE "@R 99999-9999"
   @  6, 2 GET cPhone AS TEXTFIELD ;
      INITIAL SPACE(10) PROMPT "~Phone  : " ;
      PICTURE "@R (999) 999-9999"
   @  8, 2 GET lType AS CHECKBOX ;
      INITIAL .f. PROMPT "~Business"
   @  8, 17 GET nRating AS RADIOBUTTONS INITIAL 2 ;
      PROMPT { "~Important  ", "~Medium     ", ;
         "~Unimportant" }
   @ 11, 2 GET AS PUSHBUTTON oOk ;
      PROMPT "  ~OK  "
   @ 11,12 GET AS PUSHBUTTON oQuit ;
      PROMPT "~Quit" ACTION { || oWnd1:close() }
   // Link all GETs in the GetList array to a specific
   // window.  The GetList is immediately purged.
   ATTACH CONTROLS TO oWnd1
   // Begin event processing.
   ACTIVATE WINDOWS
   // Terminate event processing
   DEINIT WINDOWS
   RETURN(NIL)
